package org.start.data;

import org.bukkit.Location;
import org.bukkit.World;
import org.bukkit.plugin.java.JavaPlugin;
import org.start.print;
import org.start.run;


public class worldSpawnItem {

    /*
    // 静态插件实例
    private static JavaPlugin plugin;

    // 静态方法初始化插件实例
    public static void initialize(JavaPlugin plugin) {
        worldSpawnItem.plugin = plugin;
        plugin.getLogger().info("出生点获取类初始化已完成");
    }
    */
    static World world;
    static double redPath_x;
    static double redPath_y;
    static double redPath_z;

    static double bluePath_x;
    static double bluePath_y;
    static double bluePath_z;

    static double stopPath_x;
    static double stopPath_y;
    static double stopPath_z;

    public worldSpawnItem(run plugin){
        // 获取世界名
        String world_ = plugin.getConfig().getString("world");
        world = plugin.getServer().getWorld(world_);

        if (world == null){
            print.command_p("e", "未找到可用的世界名，已设为默认（world）");
            world = plugin.getServer().getWorld("world");
        }else {
            print.command_p("i","加载世界名：" + world.getName());
        }

        //获取各队伍位置
        try {
            redPath_x = plugin.getConfig().getDouble("red_path.x");
            redPath_y = plugin.getConfig().getDouble("red_path.y");
            redPath_z = plugin.getConfig().getDouble("red_path.z");
            print.command_p("i", "获取到的进攻方的数据为 "+redPath_x + " " +redPath_y+ " " +redPath_z);
        }catch (Exception e){
            print.command_p("e", "无法获取进攻方队伍数据，请检查配置文件 ( " + e + " ) ");
        }
        try {
            bluePath_x = plugin.getConfig().getDouble("blue_path.x");
            bluePath_y = plugin.getConfig().getDouble("blue_path.y");
            bluePath_z = plugin.getConfig().getDouble("blue_path.z");
            print.command_p("i", "获取到的防守方数据为 "+ bluePath_x +" " + bluePath_y + " " + bluePath_z);
        }catch (Exception e){
            print.command_p("e", "无法获取防守方队伍数据，请检查配置文件 ( " + e + " ) ");
        }
        try {
            stopPath_x = plugin.getConfig().getDouble("stop_path.x");
            stopPath_y = plugin.getConfig().getDouble("stop_path.y");
            stopPath_z = plugin.getConfig().getDouble("stop_path.z");
            print.command_p("i", "获取到的停止队列的数据为 " + stopPath_x + " " + stopPath_y + " " + stopPath_z);
        }catch (Exception e){
            print.command_p("e", "无法获取停止队伍数据，请检查配置文件 ( " + e + " )");
        }

    }
    public static World getWorld(){
        return world;
    }

    public static Location getRed(){
        return new Location(world, redPath_x, redPath_y, redPath_z);
    }

    public static Location getBlue(){
        return new Location(world, bluePath_x, bluePath_y, bluePath_z);
    }

    public static Location getStop(){
        return new Location(world, stopPath_x, stopPath_y, stopPath_z);
    }
}
