package org.start;

import org.bukkit.ChatColor;
import org.bukkit.plugin.java.JavaPlugin;


public class getConfig {
    private static JavaPlugin plugin;
    public getConfig(JavaPlugin plugin){getConfig.plugin = plugin;plugin.getLogger().info("getConfig 类初始化操作已完成");}

    public static double getDouble(String path, double def){

        // 传 0.0 等于sb 或者本身需求就是 0.0，所以直接返回 0.0
        if (def == 0.0){
            print.command_p(print.PrintEnum.E, "The target path  " + ChatColor.YELLOW + path + " is empty or 0.0, and the default value is 0.0. In general, this is not a normal result");
            return def;
        }

        double d = plugin.getConfig().getDouble(path);
        if (d == 0.0){d = def;}

        return d;
    }

    public static String getString(String path, String def) throws Exception {

        String s = plugin.getConfig().getString(path);

        if (s == null & def == null){
            print.command_p(print.PrintEnum.E, "The target path  " + ChatColor.YELLOW + path + " is empty, and the default value is empty. In general, this is not a normal result");
            return null;
        }

        if (s == null){
            return def;
        }

        return s;
    }
}
