package org.start.player.pCase;

import org.bukkit.Color;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.LeatherArmorMeta;


// 考虑到游戏开始时仍有玩家可能佩戴盔甲，因此游戏开始时移除盔甲
public class p_kui_jia {

    public static void setBlue(Player player){
        // 清空玩家的所有盔甲栏（头盔、胸甲、裤子、靴子）
        ItemStack[] emptyArmor = new ItemStack[4];
        player.getInventory().setArmorContents(emptyArmor);

        player.getInventory().setChestplate(createDyeableArmor(Material.LEATHER_CHESTPLATE, Color.BLUE));
        player.getInventory().setLeggings(createDyeableArmor(Material.LEATHER_LEGGINGS, Color.BLUE));
    }

    public static void setRed(Player player){
        // 同上
        ItemStack[] emptyArmor = new ItemStack[4];
        player.getInventory().setArmorContents(emptyArmor);

        player.getInventory().setChestplate(createDyeableArmor(Material.LEATHER_CHESTPLATE, Color.RED));
        player.getInventory().setLeggings(createDyeableArmor(Material.LEATHER_LEGGINGS, Color.RED));
    }

    public static void setStop(Player player){
        // 清空玩家的所有盔甲栏（头盔、胸甲、裤子、靴子）
        ItemStack[] emptyArmor = new ItemStack[4];
        player.getInventory().setArmorContents(emptyArmor);
    }

    // 创建染色的皮革盔甲
    private static ItemStack createDyeableArmor(Material material, Color color) {
        ItemStack armor = new ItemStack(material);
        LeatherArmorMeta meta = (LeatherArmorMeta) armor.getItemMeta();

        if (meta != null) {
            meta.setColor(color);  // 设置颜色
            armor.setItemMeta(meta);  // 应用更改
        }

        return armor;
    }
}
