package org.start.player.bossbar;

public class data {

    private double redTeamProgress = 0.0;  // 红队的进攻进度
    private double blueTeamProgress = 1.0; // 蓝队的失守进度，初始为 100%

    private manger progressManager;

    public data(manger progressManager) {
        this.progressManager = progressManager;
    }

    // 设置红队的进攻进度
    public void setRedTeamProgress(double progress) {
        redTeamProgress = progress / 100.0;  // 转换为 0.0 - 1.0
        blueTeamProgress = 1.0 - redTeamProgress;  // 蓝队失守进度是红队进度的反向

        // 更新进度条
        progressManager.updateProgress("red", redTeamProgress);  // 更新红队进度条
        progressManager.updateProgress("blue", blueTeamProgress); // 更新蓝队进度条
    }

    // 获取红队进攻进度
    public double getRedTeamProgress() {
        return redTeamProgress;
    }

    // 获取蓝队失守进度
    public double getBlueTeamProgress() {
        return blueTeamProgress;
    }
}
